Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
settlements
/
reports
/
configuration
aid_settlement_report_config_create
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/settlements/reports/configuration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filetypes": [
    "<string>"
  ],
  "destinations": [
    {
      "destination_type": "account_email",
      "id": "<string>",
      "destination_value": "<string>"
    }
  ],
  "providers": [
    "<string>"
  ]
}
'
{
  "filetypes": [
    "<string>"
  ],
  "destinations": [
    {
      "destination_type": "account_email",
      "id": "<string>",
      "destination_value": "<string>"
    }
  ],
  "providers": [
    "<string>"
  ],
  "send_every": 86400000,
  "filters": [
    {
      "filter": "payout_destination_id",
      "value": "<string>"
    }
  ],
  "id": "<string>",
  "last_send_at": 123,
  "last_modified_at": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
filetypes
string[]
required

The filetypes that should be sent

destinations
object[]
required

List of destinations. If empty, the report is just stored and visible from the backoffice.

providers
string[]
required

List of providers to send report for. If empty, send for all.

send_every
number

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds describing how often reports should be sent.

Example:

86400000

filters
object[]

The report will only be sent to the provided destinations if it satisfies these criterias.

id
string

Response

Settlement report configuration

filetypes
string[]
required

The filetypes that should be sent

destinations
object[]
required

List of destinations. If empty, the report is just stored and visible from the backoffice.

providers
string[]
required

List of providers to send report for. If empty, send for all.

send_every
number

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds describing how often reports should be sent.

Example:

86400000

filters
object[]

The report will only be sent to the provided destinations if it satisfies these criterias.

id
string
last_send_at
number
read-only

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds (Unix epoch) describing when last time reports was sent.

last_modified_at
number
read-only

Deprecated report configuration is not used for controlling when to create and send report

Value in milliseconds (Unix epoch) describing when last time reports was modified.

created_at
string<date-time>
read-only

The date-time when the resource was created

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

account_id
string
read-only
Last modified on May 12, 2026